
Redmine - Feature #247

Notification mail sender is the author and includes project information.

2008-01-08 05:34 - Hans Yoon

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 50%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

(1) Like TRAC,

each mail notification has its own header, so it helps mail client filter mails easier.

The mail header is "X-redmine-project".

(2) When mail is notificated, default mail sender is fixed as administrator has defined. With this patch, most of mail

message is sent from event generating user.

Related issues:

Related to Redmine - Feature #5405: change Emission mail address to the opera... Closed 2010-04-29

Related to Redmine - Patch #2406: In email notification, send a email with se... Closed

Related to Redmine - Feature #14727: Display pretty notification email sender... Closed

Associated revisions

Revision 1265 - 2008-03-16 17:52 - Jean-Philippe Lang

Add the following headers to email notifications (#830, #247):

X-Redmine-Host: host name defined in application settings

X-Redmine-Site: application title defined in settings

X-Redmine-Project: identifier of the project that the notification is related to, if any

X-Redmine-Issue-Id, -Author, -Assignee: ticket related info

X-Redmine-Topic-Id: identifies the thread a message belongs to

History

#1 - 2008-03-16 17:55 - Jean-Philippe Lang

- Category set to Email notifications

- % Done changed from 0 to 50

Headers added in r1265.

Concerning (2), some SMTP servers won't authorize emails with a FROM adress different from the one used for authentication. It could be an option

but not the default behaviour.

#2 - 2009-10-19 10:47 - Patrik Kullman

Can these also be used in incoming emails to override Project etc in the header instead of the mail body?

#3 - 2010-01-25 10:43 - Ryan Phung

Any idea whether (2) can be added as optional behaviour?

It will be a very nice feature, and will allow notification to be done more effectively.

In big project teams, when people receive a lot of email they usually filter their email by sender (for example, give more priority to email sent from the

boss, from customers, etc.); it is difficult to make the transitions to using Redmine because one cannot filter his/her messages the same way

anymore. To rely on Redmine notifications, one has to read every email.

#4 - 2010-01-25 10:45 - Ryan Phung

- Assignee set to Jean-Philippe Lang

Changed "Assigned to" to Jean-Philippe Lang (I hope this mean this patch will be brought to your attention). Apologies if this is not the correct way of
doing it.

#5 - 2010-02-10 02:57 - Eric Davis

- Assignee changed from Jean-Philippe Lang to Eric Davis

Ryan Phung wrote:

In big project teams, when people receive a lot of email they usually filter their email by sender (for example, give more priority to email sent from

the boss, from customers, etc.); it is difficult to make the transitions to using Redmine because one cannot filter his/her messages the same way

anymore. To rely on Redmine notifications, one has to read every email.

 I have some code that does this already.  I'll need to see if I can extract it and make it optional.

#6 - 2010-04-07 01:08 - Brenton Cheng

Hey Eric,

We're very interested in this functionality. Possible to post here? Whatever you've got would be useful.

Thanks!

-Brenton

#7 - 2010-04-29 23:45 - Jean-Philippe Lang

Another option is proposed in #5405. So the Form field could be one the following:

redmine@example.com (current behaviour, a single configured emission address)

John Smith <redmine@example.com> (the emission address with the user name)

john.smith@foo.bar (the user email address, as it's done in the attached patch)

A setting could be added to choose between these 3 options.

#8 - 2010-07-16 14:53 - Vladimir Dzalbo

looks cool.. but the patch is rather outdated...

is that possible to have a similar patch for current trunk?

#9 - 2010-10-25 17:00 - Eric Davis

- Assignee deleted (Eric Davis)

#10 - 2015-12-02 09:51 - Sebastian Paluch

+1

#11 - 2015-12-30 16:49 - Toshi MARUYAMA

- Related to Feature #14727: Display pretty notification email sender name added

#12 - 2023-09-05 21:56 - Gary Aitken

- File mail_from_is_author.tar added

Having the outgoing mail address set to the user making a change rather than the redmine app is useful for us.

Having the user quoted in the From header is a help, but more useful is also having the mail address be the actual user.

I'm attaching a patch (redmine 5.0.1 stable) which accomplishes this, via a checkbox in Admin/Settings/EmailNotifications.

We have tested using postfix set up to map users to gmail accounts.

The patch only includes locale changes to config/locales/en.yml

#13 - 2023-09-05 22:16 - Felix Schäfer

Gary Aitken wrote in #note-12:

Having the outgoing mail address set to the user making a change rather than the redmine app is useful for us.

 This will probably not work in the wild due to SPF/DKIM and related checks, or you would need some setup to redirect mails from Redmine to the

corresponding provider of each user, which would require having the credentials with the E-Mail provider in your Redmine setup and so on.

It would also break the reply-ability of Redmine notification E-Mails as replying to a Redmine notification would send the reply to the author of the
notification instead of to the Redmine installation.

#14 - 2023-09-06 06:56 - Go MAEDA

Felix Schäfer wrote in #note-13:

This will probably not work in the wild due to SPF/DKIM and related checks, or you would need some setup to redirect mails from Redmine to the

corresponding provider of each user, which would require having the credentials with the E-Mail provider in your Redmine setup and so on.

 Yes, unlike 15 years ago when this issue was created, such emails will not be delivered properly in many cases. I think Redmine should not

implement this feature.

FYI: Redmine 4.1.0 and later have a feature that sets user's name to the From field (#5913).

#15 - 2023-09-06 18:56 - Gary Aitken

Felix Schäfer wrote in #note-13:

This will probably not work in the wild due to SPF/DKIM and related checks, or you would need some setup to redirect mails from Redmine to the

corresponding provider of each user, which would require having the credentials with the E-Mail provider in your Redmine setup and so on.

 As mentioned we use postfix, which does the appropriate redirection for user email, and yes, it does require having some form of email credentials. 

However, those credentials are in the postfix setup, not in redmine.  In any case, one always has to configure their mailer appropriately for use with

redmine, and redmine appropriately for their chosen mailer.

It would also break the reply-ability of Redmine notification E-Mails as replying to a Redmine notification would send the reply to the author of the

notification instead of to the Redmine installation.

 It does not break the reply ability, if one has the reply-to field properly configured.

Go MAEDA wrote in #note-14:

Yes, unlike 15 years ago when this issue was created, such emails will not be delivered properly in many cases.

 Could you give an example of where they would not be delivered properly, assuming the mailer used has the proper relay host and credentials?  As

noted, this is provided as an option, so one could choose to use it or not.

FYI: Redmine 4.1.0 and later have a feature that sets user's name to the From field (#5913).

 yes, already noted in my original

#16 - 2024-04-07 07:15 - Go MAEDA

- Tracker changed from Patch to Feature

- Status changed from New to Closed

- Resolution set to Wont fix

Felix Schäfer wrote in #note-13:

Gary Aitken wrote in #note-12:

Having the outgoing mail address set to the user making a change rather than the redmine app is useful for us.

 This will probably not work in the wild due to SPF/DKIM and related checks, or you would need some setup to redirect mails from Redmine to the

corresponding provider of each user, which would require having the credentials with the E-Mail provider in your Redmine setup and so on.

 I am closing this issue. Probably the requested feature does not work for the reason described above.

Files

mail_sender_project.patch 2.5 KB 2008-02-03 Hans Yoon

mail_from_is_author.tar 10 KB 2023-09-05 Gary Aitken
